Bug 72041 - dependancy problems of new arts kde 3.0.3 pachage
dependancy problems of new arts kde 3.0.3 pachage
Product: Red Hat Linux
Classification: Retired
Component: arts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-08-20 16:47 EDT by John McMonagle
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-25 15:19:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John McMonagle 2002-08-20 16:47:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-3custom i686)

Description of problem:
Downloaded new redhat kde3.0.3 packages from  download.kde.org
pachager listsed as Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
so figured this was the proper place to report bugs.
Downloaded all in directory.
[johnm@johnm kde3.0.3]$ sudo rpm -Fvh *.rpm
error: failed dependencies:
        libartsflow-gcc2.96.so.1   is needed by arts-1.0.3-0.7
        libartsflow_idl-gcc2.96.so.1   is needed by arts-1.0.3-0.7
        libkmedia2_idl-gcc2.96.so.1   is needed by arts-1.0.3-0.7
        libmcop-gcc2.96.so.1   is needed by arts-1.0.3-0.7
        kdelibs >= 3.0.3-10 is needed by kdebase-3.0.3-0.7
        libartsflow-gcc2.96.so.1   is needed by kdemultimedia-arts-3.0.3-0.7
        libartsflow_idl-gcc2.96.so.1   is needed by kdemultimedia-arts-3.0.3-0.7
        libmcop-gcc2.96.so.1   is needed by kdemultimedia-arts-3.0.3-0.7
        libartsflow-gcc2.96.so.1   is needed by noatun-3.0.3-0.7
        libartsflow_idl-gcc2.96.so.1   is needed by noatun-3.0.3-0.7
        libkmedia2_idl-gcc2.96.so.1   is needed by noatun-3.0.3-0.7
        libmcop-gcc2.96.so.1   is needed by noatun-3.0.3-0.7
        libqtmcop-gcc2.96.so.1   is needed by noatun-3.0.3-0.7
        libsoundserver_idl-gcc2.96.so.1   is needed by noatun-3.0.3-0.7
Other than the kdelibs problem that someone else reported everything involves
files from arts.  Or else need to change noatun  and   kdemultimedia-arts.

If  installed with --nodeps it installs and seems to work just fine.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. put all new kde 3.0.3 in an  new directory
2.  run   rpm -Fvh *.rpm


Actual Results:  dependancy errors 

Expected Results:  no errors

Additional info:
Comment 1 André Johansen 2002-08-21 06:52:51 EDT
This is a duplicate of bug 71806. 
Comment 2 Ngo Than 2002-10-05 07:20:35 EDT
we will release kde 3.0.3 errata for 7.3 soon. It will fix this problem.

Note You need to log in before you can comment on or make changes to this bug.